﻿@model EMartVG.Models.Categorias

@{
    ViewBag.Title = "EditarCategoria";
}


<h2 class="font-weight-bolder text-center" style="color:white; opacity:0.8;background-color:black">Panel de Administración</h2>
<nav aria-label="breadcrumb">
    <ol class="breadcrumb" style="color: white;opacity: 0.8;background-color: black">
        <li class="breadcrumb-item"><a href="~/Admin/CreaMarcas/" style="color:white">Panel de Administración</a></li>
        <li class="breadcrumb-item"><a href="~/Admin/CreaCategoria/" style="color:white">Categorías</a></li>
        <li class="breadcrumb-item active" aria-current="~/Admin/EditarCategorias/">Editar Categorías</li>
    </ol>
</nav>

<div class="card text-center" style="background-color:black">
    <div class="card-header">
        <ul class="nav nav-tabs card-header-tabs">
            <li class="nav-item">
                <a class="nav-link" style="color:white" href="~/Admin/CreaMarcas/">Marcas</a>
            </li>
            <li class="nav-item">
                <a class="nav-link active font-weight-bolder" style="background-color:white ; color: black" href="~/Admin/CreaCategoria/">Categorias</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaProducto/">Productos</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaAdmin/">Administradores</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/ListarVentas/">Ventas</a>
            </li>
        </ul>
    </div>
    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">

                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Admin/CreaCategoria/">Agregar Categoría</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" style="color:black" href="~/Admin/ListarCategorias">Listar Categorías</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" style="color:white;background-color:black" href="">Editar Categoría</a>
                    </li>
                </ul>
            </div>
            <div class="card-body">
                <form method="post">
                    <div class="form-horizontal">

                        <input hidden type="text" name="Id_Categoria" value="@Model.Id_Categoria" />
                        <input hidden type="text" name="Id_Estado_Categorias" value="@Model.Id_Estado_Categorias" />
                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Nombre Categoría:</label>
                                <input type="text" name="Nombre_Categoria" id="Nombre_Categoria" class="form-control" value="@Model.Nombre_Categoria" maxlength="50" />
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Descripción Categoría:</label>
                                <input type="text" name="Descripcion_Categoria" id="Descripcion_Categoria" class="form-control" value="@Model.Descripcion_Categoria" maxlength="50" /> <!--Esto modificar a un area d etxto después-->
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-offset-2 col-md-10">
                                <input type="submit" id="btnSubmit" value="Editar Categoría" class="btn btn-dark" />
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>



@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/SweetAlert.js"></script>
    <script>
        $("#btnSubmit").click(function (e) {
            let error = "";
            if (!$("#Nombre_Categoria").val()) {
                error = "Debe ingresar el nombre de la marca \n";
            }
            if ($("#Nombre_Categoria").val().indexOf(' ') >= 0) {
                error += "No se permiten espacios \n";
            }
            if (!$("#Descripcion_Categoria").val()) {
                error += "Debe ingresar una descripción para la marca \n";
            }
            if (error != "") {
                e.preventDefault();
                swal("Información  incompleta", error, "error");
            }
        });
    </script>
}

